Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision e7e744cc6da32976b71832c4bf9efed489a5a058)
+++ chapter01/changelog.xml	(revision dc5577b16bc8d5148c3622aefaf30d1907745d10)
@@ -44,4 +44,27 @@
 -->
     <listitem>
+      <para>2018-12-01</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Move /etc/bash_completions.d/grub to a 
+          better location. Fixes
+          <ulink url="&lfs-ticket-root;4385">#4385</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to dejagnu-1.6.2. Fixes
+          <ulink url="&lfs-ticket-root;4382">#4382</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-4.19.6. Fixes
+          <ulink url="&lfs-ticket-root;4383">#4383</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to perl-5.28.1. Fixes
+          <ulink url="&lfs-ticket-root;4384">#4384</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2018-11-25</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision e7e744cc6da32976b71832c4bf9efed489a5a058)
+++ chapter01/whatsnew.xml	(revision dc5577b16bc8d5148c3622aefaf30d1907745d10)
@@ -60,7 +60,7 @@
       <para>Coreutils-&coreutils-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>DejaGNU-&dejagnu-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem revision="systemd">
       <para>D-Bus-&dbus-version;</para>
@@ -192,7 +192,7 @@
       <para>Patch-&patch-version;</para>
    </listitem>-->
-   <!--<listitem>
+   <listitem>
       <para>Perl-&perl-version;</para>
-   </listitem>-->
+   </listitem>
     <!--<listitem>
       <para>Pkg-config-&pkgconfig-version;</para>
Index: chapter06/grub.xml
===================================================================
--- chapter06/grub.xml	(revision e7e744cc6da32976b71832c4bf9efed489a5a058)
+++ chapter06/grub.xml	(revision dc5577b16bc8d5148c3622aefaf30d1907745d10)
@@ -78,5 +78,6 @@
     <para>Install the package:</para>
 
-<screen><userinput remap="install">make install</userinput></screen>
+<screen><userinput remap="install">make install
+mv -v /etc/bash_completions.d/grub /usr/share/bash-completion/completions</userinput></screen>
 
   <para>Using GRUB to make your LFS system bootable will be discussed in
Index: general.ent
===================================================================
--- general.ent	(revision e7e744cc6da32976b71832c4bf9efed489a5a058)
+++ general.ent	(revision dc5577b16bc8d5148c3622aefaf30d1907745d10)
@@ -1,15 +1,15 @@
-<!ENTITY version         "SVN-20181125">
+<!ENTITY version         "SVN-20181201">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20181125-systemd">
+<!ENTITY versiond        "20181201-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "November 25, 2018">
+<!ENTITY releasedate     "December 1, 2018">
 
 <!ENTITY copyrightdate   "1999-2018"><!-- jhalfs needs a literal dash, not &ndash; -->
-<!ENTITY milestone       "8.3">
+<!ENTITY milestone       "8.4">
 
 <!ENTITY lfs-root        "http://www.linuxfromscratch.org/">
Index: packages.ent
===================================================================
--- packages.ent	(revision e7e744cc6da32976b71832c4bf9efed489a5a058)
+++ packages.ent	(revision dc5577b16bc8d5148c3622aefaf30d1907745d10)
@@ -127,8 +127,8 @@
 <!ENTITY dbus-ch6-sbu "0.2 SBU">
 
-<!ENTITY dejagnu-version "1.6.1">
+<!ENTITY dejagnu-version "1.6.2">
 <!ENTITY dejagnu-size "514 KB">
 <!ENTITY dejagnu-url "&gnu;dejagnu/dejagnu-&dejagnu-version;.tar.gz">
-<!ENTITY dejagnu-md5 "2ac8405a4c7ca8611d004fe852966c6f">
+<!ENTITY dejagnu-md5 "e1b07516533f351b3aba3423fafeffd6">
 <!ENTITY dejagnu-home "&gnu-software;dejagnu/">
 <!ENTITY dejagnu-ch5-du "3.2 MB">
@@ -424,10 +424,10 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "19">
-<!ENTITY linux-patch-version "4">
+<!ENTITY linux-patch-version "6">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
 <!ENTITY linux-size "100,712 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "29c910b1e6cee4413dd0639050489881">
+<!ENTITY linux-md5 "9849a08e9e28e52837385a77f6dd67ca">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -538,8 +538,8 @@
 <!ENTITY patch-ch6-sbu "0.2 SBU">
 
-<!ENTITY perl-version "5.28.0">
-<!ENTITY perl-size "12,120 KB">
+<!ENTITY perl-version "5.28.1">
+<!ENTITY perl-size "12,083 KB">
 <!ENTITY perl-url "https://www.cpan.org/src/5.0/perl-&perl-version;.tar.xz">
-<!ENTITY perl-md5 "f3245183c0a08f65e94a3333995af08e">
+<!ENTITY perl-md5 "fbb590c305f2f88578f448581b8cf9c4">
 <!ENTITY perl-home "https://www.perl.org/">
 <!ENTITY perl-ch5-du "275 MB">
